commit: 0ccf597218d8a18a5b880f7058666c74e166c0c6
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 26 04:26:43 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 26 04:26:43 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ccf5972
dev-python/botocore: Bump to 1.40.17
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/botocore/Manifest | 1 +
dev-python/botocore/botocore-1.40.17.ebuild | 67 +++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 72df5f72e192..fcb8482dcbd2 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,4 +2,5 @@ DIST botocore-1.39.14.gh.tar.gz 15002421 BLAKE2B
a054f85ee0076f1445e122e497683b3
DIST botocore-1.40.1.gh.tar.gz 15055179 BLAKE2B
0fd7e4f74e51fe45284fe550bb853964e3f6039c2d5904996bc3f40e3912b75af4eab4c378edbc85b61fb6b3f5d1583493ad71540c7170c5a0ffb7ffefc5d99f
SHA512
4a0b5d075f8335c5b9c08bad1088c31ded92deced98a7f606cf07853657f41d8f3ab224b13172d007c8de6d2127edce662c4deadcb8d4ed8693432d77b8e38e6
DIST botocore-1.40.11.gh.tar.gz 15124864 BLAKE2B
3a9657b4d0d5c0f86f68f1e7c9fd2fa7145b807e015abb64c20c0ad80ce337b660cf617de3e0b1d5524eb7d766afa75aa253b1388383fdfe8509599b8d9bb200
SHA512
853bec0829b5fc17d373c3f9d617be671abb145dbffd0a672f3a9fe48a0b7c8099310bce43ca84f45a72aca1fbabbfb6acf74aefa5bf11fc1baf751959d098b7
DIST botocore-1.40.16.gh.tar.gz 15153147 BLAKE2B
7c1c32d1255023d767e513812f2b24546c43e131f3dca28fee2438de3530230f7130d4f36493ef3365b16a0d41d19941bac5a4b39b835ea40ad88d42493d4f5d
SHA512
3249395759e7cc4d022bab0068837b48df1c332384972d6a649150b6ad81cfcc6ab01cc7ac46d0db725ff9d56cadd9331b34121267ee9427d1392056fea2f6f5
+DIST botocore-1.40.17.gh.tar.gz 15158810 BLAKE2B
26bdbaf798f129897503d16e78ebd6040e8f72c89271933f8ce60dddff6ef2b51bcc831148f7fc6bfcf152f6a3a90ab6a6761e6549438916b6f319130a6992e9
SHA512
eda1360f684195b96ba39df8ccfd84215c21777ab902debefc9fec08a41d16a762ab7dc0a5a21d0302f03bda506947bbb637f34397f0d1f0338cea0b79ba96ee
DIST botocore-1.40.6.gh.tar.gz 15096678 BLAKE2B
fb76ace4058c814bb8ef17bb216f5f7355eec401e4108d8a6569e07f97b14becb9e99652364dacb7e46e62f3ffaea2e5e1cd241ae832fe0a359ed58bbcfe3500
SHA512
faa311f29da484083f49a9ae7beda844b8878750c7474916ff7200b4a5fdc01e26295923c7a0f0bc4e4b1c22e5381f69546b8685fdeb2112f1c61810d3c9b58d
diff --git a/dev-python/botocore/botocore-1.40.17.ebuild
b/dev-python/botocore/botocore-1.40.17.ebuild
new file mode 100644
index 000000000000..a931fcaefec4
--- /dev/null
+++ b/dev-python/botocore/botocore-1.40.17.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86
~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}